%!TEX root=../../../source.tex
%!TEX file=animations/cable/nurbs2/lengthchange.tex


\begin{animateinline}[loop,poster=first,controls]{30}
  \multiframe{300}{ix=0+1}{
  % \multiframe{30}{ix=0+1}{
    \pgfplotstableread[%
        col sep=comma,%
      ]{animations/cable/nurbs2/lengthchange/frame_\ix/cable_1.dat}\cabletable
    \pgfplotstableread[%
        col sep=comma,%
      ]{animations/cable/nurbs2/lengthchange/frame_\ix/winches.dat}\winchestable
    
    \begin{tikzpicture}
      \begin{axis}[%
          % General adjustments
          line plot,%
          tufte-like,%
          width=1.00\linewidth,%
          height=0.80\textheight,%
          axis equal,%
          %
          % X-Axis
          xmin=-0.10,%
          xmax=1.10,%
          enlarge x limits=0.05,%
          xlabel={Horizontal $x / \si{\meter}$},%
          xlabel near ticks,%
          minor x tick num=4,%
          %
          % Y-Axis
          ymin=-1.00,%
          ymax=0.00,%
          enlarge y limits=0.05,%
          ylabel={Vertical $z / \si{\meter}$},%
          ylabel near ticks,%
          minor y tick num=4,%
          %
          % Legend
          legend style={%
            at={(0.50,1.05)},%
            anchor=south,%
            legend columns=2,%
            transpose legend,%
          },%
          %
          % Title
          title={Time \input{animations/cable/nurbs2/lengthchange/frame_\ix/title}},%
        ]%
        
        % Cable
        \addplot+[%
            /cdpr/cable,%
            /ustutt/thin,%
            no markers,%
          ]table[%
            x=x,%
            y=z,%
          ]%
          {\cabletable};
        % \addlegendentry{Cable $\curve \of{\pathcoord, t}$};
        
        % Winches
        \addplot+[%
            /ustutt/thin,%
            draw=Black,%
            mark=diamond,%
            only marks,%
          ]table[%
            x=x,%
            y=z,%
            select coords between index={0}{1},%
          ]{\winchestable};
        % \addlegendentry{Winches $\of{t}$};
        
      \end{axis}
    \end{tikzpicture}
  }
\end{animateinline}
